@extends('main.layouts.main')

@section('content')
    <div class="register-page">
        <div class="register-welcome">
            <i class="fad fa-door-open"></i>
            <h1>Создайте учетную запись!</h1>
            <p>После регистрации, вы сможете воспользоваться всеми функциями нашей дружелюбной платформы.</p>
        </div>
        <form action="{{ route('register') }}" method="post" class="register">
            <h3>Регистрация в системе</h3>
            <p>Если у меня уже <a href="/login">есть аккаунт</a>?</p>
            @csrf
            <label for="name">Ваше имя</label>
            <input type="text" id="name" name="name" placeholder="Введите ваше имя..">
            @error('name')
            <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
            </span>
            @enderror
            <label for="surname">Ваша фамилия</label>
            <input type="text" name="surname" id="surname" placeholder="Введите вашу фамилию..">
            @error('surname')
            <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
            </span>
            @enderror
            <label for="email">Электронная почта</label>
            <input type="email" name="email" id="email" placeholder="Введите ваш email..">
            @error('email')
            <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
            </span>
            @enderror
            <label for="username">Имя пользователя</label>
            <input type="text" name="username" id="username" placeholder="Придумайте логин..">
            @error('username')
            <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
            </span>
            @enderror
            <label for="password">Пароль</label>
            <input type="password" name="password" id="password" placeholder="Придумайте пароль..">
            @error('password')
            <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
            </span>
            @enderror
            <label for="password_confirmation">Подтверждение пароля</label>
            <input type="password" name="password_confirmation" id="password_confirmation"
                   placeholder="Введите пароль еще раз..">
            @error('password_confirmation')
            <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
            </span>
            @enderror
            <label>Дата рождения</label>
            <div>
                <select name="day">
                    @for($i = 0; $i < 31; $i++)
                        <option value="{{ $i + 1 }}">{{ $i + 1 }}</option>
                    @endfor
                </select>
                @error('day')
                <span class="invalid-feedback" role="alert">
                    <strong>{{ $message }}</strong>
                </span>
                @enderror
                <select name="month">
                    @foreach($months as $month)
                        <option value="{{ $month->title }}" days-count="{{ $month->days_count }}">{{ $month->title }}</option>
                    @endforeach
                </select>
                @error('month')
                <span class="invalid-feedback" role="alert">
                    <strong>{{ $message }}</strong>
                </span>
                @enderror
                <select name="year">
                    @for($i = $year["min"]; $i <= $year["max"]; $i++)
                        <option value="{{ $i }}">{{ $i }}</option>
                    @endfor
                </select>
                @error('year')
                <span class="invalid-feedback" role="alert">
                    <strong>{{ $message }}</strong>
                </span>
                @enderror
            </div>
            <label for="country">Страна</label>
            <select name="country" id="country">
                @foreach($countries as $country)
                    <option value="{{ $country->id }}">{{ $country->name }}</option>
                @endforeach
            </select>
            @error('country')
            <span class="invalid-feedback" role="alert">
                    <strong>{{ $message }}</strong>
                </span>
            @enderror
            <label for="city">Город</label>
            <select name="city" id="city">
                @foreach($cities as $city)
                    <option value="{{ $city->id }}">{{ $city->name }}</option>
                @endforeach
            </select>
            @error('city')
            <span class="invalid-feedback" role="alert">
                    <strong>{{ $message }}</strong>
                </span>
            @enderror
            <label for="skill">Род деятельности (skill)</label>
            <input type="text" name="skill" id="skill">
            @error('skill')
            <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
            </span>
            @enderror
            <label for="about">О себе</label>
            <textarea name="about" rows="2" id="about"></textarea>
            @error('about')
            <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
            </span>
            @enderror
            <button type="submit">Вперед</button>
    </div>
@endsection
